пї โฮสท์ที่รองรับเวิร์ดเพรส - Thai wordpress

โฮสท์ที่รองรับเวิร์ดเพรส

จาก Thai wordpress

(ความแตกต่างระหว่างรุ่นปรับปรุง)
ข้ามไปที่: นำทาง, ค้นหา
(สร้างหน้าใหม่: ผู้ให้บริการโฮสท์ และการติด...)
(ความต้องการของเซิฟเวอร์)
แถว 2: แถว 2:
== ความต้องการของเซิฟเวอร์ ==
== ความต้องการของเซิฟเวอร์ ==
-
{{Server requirements}}
+
    *  PHP รุ่น 4.3 หรือใหม่กว่า
 +
    * MySQL รุ่น 4.0 หรือใหม่กว่า
 +
    * (ทางเลือก) Apache mod_rewrite module (สำหรับ URIs ที่สะอาดตา หรือที่เราเรียกว่า Permalinks)
 +
 
== การตั้งค่าที่แนะนำ ==
== การตั้งค่าที่แนะนำ ==
เราแนะนำ [[คำศัพท์#Linux|Linux]]  ที่ติดตั้ง [[คำศัพท์#Apache|Apache]] หรือ [http://nginx.net/ NGINX] web-servers เป็นระบบที่รองรับการทำงานของเวิร์ดเพรสได้ดีที่สุด  แต่เซิฟเวอร์ใด ๆ ที่รองรับ [[คำศัพท์#PHP|PHP]]  และ [[คำศัพท์# MySQL|MySQL]]  ก็สามารถใช้งานได้    ถ้าโฮสท์ของคุณไม่ได้รองรับหนึ่งในระบบเหล่านี้  และ  <tt>[[ คำศัพท์#mod_rewrite|mod_rewrite]]</tt>  คุณควรจะเปลี่ยน [[คำศัพท์#ผู้ให้บริการโฮสท์|ผู้ให้บริการโฮสท์]]  ของคุณเป็นที่อื่นที่สามารถรองรับระบบเหล่านี้ได้
เราแนะนำ [[คำศัพท์#Linux|Linux]]  ที่ติดตั้ง [[คำศัพท์#Apache|Apache]] หรือ [http://nginx.net/ NGINX] web-servers เป็นระบบที่รองรับการทำงานของเวิร์ดเพรสได้ดีที่สุด  แต่เซิฟเวอร์ใด ๆ ที่รองรับ [[คำศัพท์#PHP|PHP]]  และ [[คำศัพท์# MySQL|MySQL]]  ก็สามารถใช้งานได้    ถ้าโฮสท์ของคุณไม่ได้รองรับหนึ่งในระบบเหล่านี้  และ  <tt>[[ คำศัพท์#mod_rewrite|mod_rewrite]]</tt>  คุณควรจะเปลี่ยน [[คำศัพท์#ผู้ให้บริการโฮสท์|ผู้ให้บริการโฮสท์]]  ของคุณเป็นที่อื่นที่สามารถรองรับระบบเหล่านี้ได้

การปรับปรุง เมื่อ 11:19, 2 ธันวาคม 2551

ผู้ให้บริการโฮสท์ และการติดตั้งส่วนตัวบนระบบ Unix/Linux ควรจะรองรับเวิร์ดเพรสภายใต้การตั้งค่าปกติได้

ความต้องการของเซิฟเวอร์

   *  PHP รุ่น 4.3 หรือใหม่กว่า
   * MySQL รุ่น 4.0 หรือใหม่กว่า
   * (ทางเลือก) Apache mod_rewrite module (สำหรับ URIs ที่สะอาดตา หรือที่เราเรียกว่า Permalinks)

การตั้งค่าที่แนะนำ

เราแนะนำ Linux ที่ติดตั้ง Apache หรือ NGINX web-servers เป็นระบบที่รองรับการทำงานของเวิร์ดเพรสได้ดีที่สุด แต่เซิฟเวอร์ใด ๆ ที่รองรับ PHP และ MySQL ก็สามารถใช้งานได้ ถ้าโฮสท์ของคุณไม่ได้รองรับหนึ่งในระบบเหล่านี้ และ mod_rewrite คุณควรจะเปลี่ยน ผู้ให้บริการโฮสท์ ของคุณเป็นที่อื่นที่สามารถรองรับระบบเหล่านี้ได้

มันยัง “จำเป็น” ด้วยที่โฮสท์ของคุณควรจะอนุญาตการเชื่อมต่อทางไกล (remote connections)

ผู้ให้บริการโฮสท์

โฮสท์นั้นเป็นสินค้าที่ซื้อขายกันในปัจจุบัน และคุณสามารถจะหาโฮสท์ที่รองรับระบบด้านบนได้ง่าย ถ้าคุณกำลังมองหาคำแนะนำเกี่ยวกับโฮสท์ที่ใช้งานได้ กรุณาดูได้ที่หน้า:

เครื่องมือส่วนตัว